= 1.2.0... no *** The gtk-config script installed by GTK could not be found *** If GTK was installed in PREFIX, make sure PREFIX/bin ..." /> = 1.2.0... no *** The gtk-config ..." /> = 1.2.0... no *** The gtk-config script installed by GTK could not be found *** If GTK was installed in PREFIX, make sure PREFIX/bin ..." />

SUSE, GTK, SDL

Sekcia: Aplikácie & Desktop 06.04.2006 | 23:14
55.lukas   Návštevník
(Suse 9.3) Prosil by som vás o radu: Pokúšal som sa nainštalovať Xoscope, ale vyhodil mi po "./configure" checking for gtk-config... no checking for GTK - version >= 1.2.0... no *** The gtk-config script installed by GTK could not be found *** If GTK was installed in PREFIX, make sure PREFIX/bin is in *** your path, or set the GTK_CONFIG environment variable to the *** full path to gtk-config. configure: error: Cannot find GTK: Is gtk-config in path? Pochopil som, že mu asi chýba GTK. Jedine čo dom dokázal zistiť je, že je to knižnica pre grafické programy. Tak som to chcel doinštalovať cez Yast. Podˇla neho tam už nejaké GTK je. Tá druhá časť výpisu s prefixom, čo mi píše viem pochopiť, ale ako to spraviť, kde? Ked sa pokúšam nainštalovať OpenTTD, tak mi spraví to isté ale s SDL. Môžete mi niekto napísať kde a a ko sa pohrať s tým GTK?
    • Re: SUSE, GTK, SDL 05.04.2006 | 23:57
      boby   Návštevník
      nainstaluj gtk-dev a sdl-dev
      • SUSE, GTK, SDL 06.04.2006 | 10:46
        55.lukas   Návštevník
        GTK som už spojazdnil.... aj ten xoscope. Začal som s SDL Chcel: esound-devel is needed by SDL-devel-1.2.8-4 aalib-devel is needed by SDL-devel-1.2.8-4 esound bol v pohode, potom som začal aalib: aalib-devel-1.4-alt0.8rc5.i586.rpm, neprešiel, vyžadoval: aalib = 1.4-alt0.8rc5 is needed by aalib-devel-1.4-alt0.8rc5 sh is needed by aalib-devel-1.4-alt0.8rc5 a tu so skončil, lebo: aalib-1.4-alt0.8rc5.i586.rpm mi vyhodil: /usr/sbin/install_info is needed by aalib-1.4-alt0.8rc5 /usr/sbin/uninstall_info is needed by aalib-1.4-alt0.8rc5 /sbin/postun_ldconfig is needed by aalib-1.4-alt0.8rc5 libslang.so.1 is needed by aalib-1.4-alt0.8rc5 (stiahol som aspoň slang-1.2.2-2.i386.rpm, ale to ma hned odbil, že už ho mám nainštalovaný!?)
        • Re: SUSE, GTK, SDL 06.04.2006 | 23:14
          Avatar Lukáš Ubuntu 9.10  Používateľ
          Nainštaloval som najnovší SDL (zobral som balík SDL-devel-1.2.9-1.i386.rpm) a prešlo to. Ale každá hra mi vyhodí nejaké chyby spolu s SDL. Napr.: /usr/lib/libSDL.a(SDL_fbevents.o): In function `FB_OpenMouse': SDL_fbevents.c:(.text+0x1088): undefined reference to `__ctype_b' Ako to riešiť?
          Juchúúú! Písmenkujem na lukas.cerro.sk